Bug 1128083 - [JBoss-AMQ]The output message about TLS URLs is not clear when creating jboss-amq cartridge.
Summary: [JBoss-AMQ]The output message about TLS URLs is not clear when creating jboss...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 09:26 UTC by xjia
Modified: 2015-07-20 00:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-04 14:40:43 UTC


Attachments (Terms of Use)

Description xjia 2014-08-08 09:26:24 UTC
Description of problem:
Jboss-AMQ provides 4 ways to connect. They are openwire, stomp,amqp and mqtt. But when creating jboss-amq app, the output message is not clear which one is for stomp, which one is for amqp.
There's no information related with these ports in app's gear env variables. (Who will generate these variables?  Openshift Framework or Cartridge)
User only have one way to guess which port is for openwire. 'TLS_PORT_1' which is defined in manifest.yml is for "OPENWIRE_SSL_PROXY_PORT". It will use the smallest port 2303. And 'TLS_PORT_4' uses the biggest port 2306.

Version-Release number of selected component (if applicable):
openshift-origin-cartridge-amq-6.1.0.redhat.387-6.el6op.noarch.rpm
openshift-origin-cartridge-fuse-6.1.0.redhat.387-6.el6op.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Enalbe SNI for Openshift Enterprise
2. rhc app create amq amq -e OPENSHIFT_AMQ_PASSWORD=redhat

Actual results:
[root@broker ~]# rhc app create amq amq -e OPENSHIFT_AMQ_PASSWORD=redhat
Using jboss-amq-6.1.0 (JBoss AMQ 6.1.0 EA) for 'amq'

Application Options
-------------------
Domain:                xuan
Cartridges:            jboss-amq-6.1.0
Gear Size:             default
Scaling:               no
Environment Variables: OPENSHIFT_AMQ_PASSWORD=redhat
<--snip-->
Cartridge jboss-amq exposed URL tls:amq-xuan.fuse.com:2303
Cartridge jboss-amq exposed URL tls:amq-xuan.fuse.com:2304
Cartridge jboss-amq exposed URL tls:amq-xuan.fuse.com:2305
Cartridge jboss-amq exposed URL tls:amq-xuan.fuse.com:2306
JBoss AMQ( 22199) is started successfully
Started JBoss AMQ cart
<--snip-->

Expected results:
The output should tell user 2303 is for openwire.
Additional info:
N/A

Comment 2 Ben Parees 2014-08-21 21:12:07 UTC
https://github.com/openshift/enterprise-server/pull/358

waiting for post OSE2.1.5 to merge.

Comment 3 xjia 2014-08-23 07:54:43 UTC
Modify these files by hand, it works. When QE gets a puddle, then can move this bug 'VERIFIED'

Verify:
[root@broker ~]# rhc app create fuse fuse OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat -l jia 
Checking for a domain ... none

Applications are grouped into domains - each domain has a unique name (called a namespace) that becomes part of your public application URL. You will not be able to
create an application without completing this step.

Please enter a namespace (letters and numbers only): fuse
Your domain 'fuse' has been successfully created

Using fuse-1.0.0 (JBoss Fuse 6.1.0 EA) for 'fuse'

Application Options
-------------------
Domain:                fuse
Cartridges:            fuse-1.0.0
Gear Size:             default
Scaling:               no
Environment Variables: OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat

Creating application 'fuse' ... fuse already started
done

  Generating password
Configuring zookeeper server

Application fuse created successfully.  Please make note of these credentials:

   Console URL:        https://fuse-fuse.fuse-vsphere.com
   Console User:       admin
   Console Password:   4RW3xFaW9pSn
   Zookeeper URL:      fuse-fuse.fuse-vsphere.com:45026
   Zookeeper Password: 4RW3xFaW9pSn
   SSL Certificate:    

-----BEGIN CERTIFICATE-----
MIIE6TCCAtGgAwIBAgIES1DEmDANBgkqhkiG9w0BAQsFADAlMSMwIQYDVQQDExpmdXNlLWZ1c2Uu
ZnVzZS12c3BoZXJlLmNvbTAeFw0xNDA4MjMwNzQyNThaFw0yNDA4MjAwNzQyNThaMCUxIzAhBgNV
BAMTGmZ1c2UtZnVzZS5mdXNlLXZzcGhlcmUuY29tMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
CgKCAgEAoRxcd8g6F9YBixrRV1xUcjeR1Jc3XwylYqqCfiy0OUgRfmQsYWc4mcE2pD9xfULFJqfG
uYF1AWWW39hFjN9JElyCGlfImRcAkHfdq3Cd6kshswrnznTSahkejGjfOsH0J186wVRw7EES0Abr
bmPbYpR7ibwQSKrm26x+DRZOVhpkHDAGQ37XDOgTbn4tFsQal/wSy9KJGsWaum0QOQOsdqDCtwWA
+Sx0d8kRFXw+so8EbFq6vHXBWlBlc45Eseu8ruko0LW4TOjkx0ZEGn769kG2N1YCBgNbJT8dsILy
Qfq9BjCvMyepo5NOdi4x0p26ujVqso9S7j+uLS8rn9kQfw1faLGI03O+wtwWjNSht0APRyNWPfQw
L2Ypx2lP8005nq8X7lgwr1yZORcSjujF6W3NTjqdWYS3JTjXZwQ8hDgQ+U/5CzPVJyJLT5GPZhXN
QV72TSZGm8BPJyiC88nUmbahwdtgbk9dNn4Pi8ri6CHEySmRIyTT9Ahih6AxanCV2l1K7+bIDDBc
rCKFdJJt27okb16XdVh4+NQFhAKpCZ+F9lu5T1yRDaUljuVJRnmnMGkJQKNae1ZAaVpvVMkGKVKd
y2rKBApo5RUgAdoHuWOfZMcJszT01tJzeami1wmNGX8XfIzaUWYrsJ1fEygkxBgLpKBbJ10ZVezU
od/uXZkCAwEAAaMhMB8wHQYDVR0OBBYEFNMYD+gjvClrORPCmVXw8W/OS0krMA0GCSqGSIb3DQEB
CwUAA4ICAQAA1JRx1/edspdSIo9ANJXsMAIvIc4RC114U7hV7lWe7glbvGtu6tLd0gNNKSSxyJ2e
WSl7gBE9onAljojaH4m2E0JmIcDfsdDzYvi4ZZKz9fqWgUywrAreNu5OgzTMNUdeEzBAPtScb+a2
8fAsCe66dIihSemrDrElZKm4Ady0Ky8naC43tdu57L/QfqPHpH+5nR9VOb7GZsFsfFYOXvaXdRcs
anCOaf2IInurURNE6RxOf3jI70LXiHNNAbWPe2Lz/s84xW8UQL6ZZx6mY9lGyIwyj+l1Q0gIK0uV
kF0G7S65C5CGA/PZVuAd1t/h4I6dK3pipkajj5xoEOvj28H7gs+FGw+/Ma/z2wVJ1HsmkjtgjBA6
rwlDtF5sZdYz7FDVTyujJ64eHcLJAdWvqLFDt7b1pNNY1aYYasy7Wei00ncb/Kh4+qBN/C8elG+/
N0MgqBOThUZmVAZ9gjQaZ27fsvk7FHJI3ON1NVFHe8AomUtCYyoZQKIckSut8FRAlNzv/I/ImyVO
2VnYfue3sVMay6t7jWgJrqIcWGOSH8tCdWfvL1ePJJ2oBWZEO75X2xsH60/fpO01ddtrKOQoMaro
0td8SqOXaa2APCMM9Ba9vDbNtwfNUrimvrJe3BXBLqVWwgI5cQy4nsMKixq1G1lrmmvRMWgtdR4O
20Tr+066iQ==
-----END CERTIFICATE-----

   The management console will be available shortly at: https://fuse-fuse.fuse-vsphere.com

fuse ( 9729) is started successfully
Cartridge fuse endpoint OPENSHIFT_FUSE_OPENWIRE_SSL_PORT is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2303
Cartridge fuse endpoint OPENSHIFT_FUSE_STOMP_SSL_PORT is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2304
Cartridge fuse endpoint OPENSHIFT_FUSE_AMQP_SSL_PORT is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2305
Cartridge fuse endpoint OPENSHIFT_FUSE_MQTT_SSL_PORT is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2306
Cartridge fuse endpoint OPENSHIFT_FUSE_GATEWAY_SSL_PORT is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2307
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_1 is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2308
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_2 is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2309
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_3 is exposed at URL tls:fuse-fuse.fuse-vsphere.com:2310

Waiting for your DNS name to be available ... done

Comment 4 xjia 2014-08-25 07:55:36 UTC
Assign back this bug, as the change https://github.com/openshift/enterprise-server/commit/0b89656e6ce459ee08b4b379e08c359ee685b415?short_path=000845a#diff-000845a9ae13a7907fdf3206bd608698 is not merged in puddle 2014-08-22.1. 

The changes on v2_cart_model.rb have been merged in puddle 2014-08-22.1?

Could you help merged the missing patch and provide a new puddle ?

Comment 5 Ben Parees 2014-08-25 13:57:05 UTC
Brenton, any additional step i need to take here?  I'm guessing it's just going to be in the next puddle?

Comment 6 Brenton Leanhardt 2014-08-25 13:58:01 UTC
I'll make sure it gets built makes its way in to a puddle.

Comment 8 xjia 2014-10-09 07:19:58 UTC
Puddle:
2.1.z/2014-10-06.2

[root@broker ~]# rhc app create fuse fuse 
Using fuse-1.0.0 (JBoss Fuse 6.1.0 EA) for 'fuse'

Application Options
-------------------
Domain:     xuan
Cartridges: fuse-1.0.0
Gear Size:  default
Scaling:    no

Creating application 'fuse' ... fuse already started
done

  Generating password
Configuring zookeeper server

Application fuse created successfully.  Please make note of these credentials:

   Console URL:        https://fuse-xuan.ose21z-manual.com.cn
   Console User:       admin
   Console Password:   dyIFvbI5lte2
   Zookeeper URL:      fuse-xuan.ose21z-manual.com.cn:48281
   Zookeeper Password: dyIFvbI5lte2
   SSL Certificate URL: https://fuse-xuan.ose21z-manual.com.cn/hawtio/index.html#/wiki/branch/1.0/view/fabric/profiles/default.profile/keystore.cert

   The management console will be available shortly at: https://fuse-xuan.ose21z-manual.com.cn


Cartridge fuse endpoint OPENSHIFT_FUSE_OPENWIRE_SSL_PORT is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2303
Cartridge fuse endpoint OPENSHIFT_FUSE_STOMP_SSL_PORT is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2304
Cartridge fuse endpoint OPENSHIFT_FUSE_AMQP_SSL_PORT is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2305
Cartridge fuse endpoint OPENSHIFT_FUSE_MQTT_SSL_PORT is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2306
Cartridge fuse endpoint OPENSHIFT_FUSE_GATEWAY_SSL_PORT is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2307
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_1 is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2308
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_2 is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2309
Cartridge fuse endpoint OPENSHIFT_FUSE_APP_TLS_PORT_3 is exposed at URL tls:fuse-xuan.ose21z-manual.com.cn:2310

Waiting for your DNS name to be available ... done

Initialized empty Git repository in /root/fuse/.git/

Your application 'fuse' is now available.

  URL:        http://fuse-xuan.ose21z-manual.com.cn/
  SSH to:     543635abdb26c8d96900011b@fuse-xuan.ose21z-manual.com.cn
  Git remote: ssh://543635abdb26c8d96900011b@fuse-xuan.ose21z-manual.com.cn/~/git/fuse.git/
  Cloned to:  /root/fuse

Run 'rhc show-app fuse' for more details about your app.
[root@broker ~]#


Note You need to log in before you can comment on or make changes to this bug.